Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSLibraryDocument Class Reference

Unsupported: The library sharing feature is currently not supported in Client SDK. More...

`#import <CSLibraryDocument.h>`

Inherits NSObject.

## Properties
NSString * | documentId
| Not supported in Client SDK. More...
NSString * | title
| Not supported in Client SDK. More...
NSString * | url
| Not supported in Client SDK. More...
NSString * | creationDate
| Not supported in Client SDK. More...
NSUInteger | pagesCount
| Not supported in Client SDK. More...
CGSize | contentSize
| Not supported in Client SDK. More...
NSString * | iconFile
| Not supported in Client SDK. More...

## Detailed Description

Unsupported: The library sharing feature is currently not supported in Client SDK.

## Class that represents information about a document stored at a conferencing server library.

Unsupported: This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

## Property Documentation

- (CGSize) contentSize
| read nonatomic assign

Not supported in Client SDK.

Size of the document page in pixels.

- (NSString*) creationDate
| read nonatomic assign

Not supported in Client SDK.

Document creation date. Provided in string form by the network library server.

- (NSString*) documentId
| read nonatomic assign

Not supported in Client SDK.

- (NSString*) iconFile
| read nonatomic assign

Not supported in Client SDK.

Location of the icon file on the network library.

- (NSUInteger) pagesCount
| read nonatomic assign

Not supported in Client SDK.

Number of pages in the document.

- (NSString*) title
| read nonatomic assign

Not supported in Client SDK.

Document title.

- (NSString*) url
| read nonatomic assign

Not supported in Client SDK.

Document path on the library server.

The documentation for this class was generated from the following file:

- CSLibraryDocument.h